收藏
回答

IOS 微信6.5.12和6.5.13的问题

问题模块
API和组件


代码片段如下

if (wx.canIUse("getSetting")) {
   wx.getSetting({
       success(res) {
           //未授权
           if (!res.authSetting["scope.userInfo"]) {
               wx.authorize({
                   scope: "scope.userInfo",
                       success(res) {
                           wx.getUserInfo({
                               withCredentials: false,
                                   success: function (res) {
                                       ......
                               }
                           })
                       }
               })
           }
       }
   })
}

此代码在安卓上没有任何问题 安卓微信版本为6.5.10


但是在IOS上就出现wx.canIUse("getSetting")返回为true,接着就程序就挂了,点击没有任何反应vcosole点击也无反应,注释代码wx.getSetting({....})换成console.log(xxx),则正常输出


顺便问下微信开发者工具能否设置微信版本开发

最后一次编辑于  2017-08-10  (未经腾讯允许,不得转载)
邀请回答
复制链接收藏关注问题回答